package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.util.Date;

/**
 * @author nianchang
 * @ClassName WmKoubeiOrders
 * @date 2021/05/19 5:03 下午
 */
public class WmKoubeiOrders {

    private Long id;

    private Long orderId;

    private String koubeiOrderId;

    private Integer source;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 修改时间
     */
    private Date updatedAt;

    private String orderPrintTime;

    private String takeOrderTime;

    private Integer isReserve;

    private Integer lastStatus;

    private Integer isVerify;

    private Integer isToGo;

    private Integer isDinner;

    private Integer isSend;

    private String orderNo;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getKoubeiOrderId() {
        return koubeiOrderId;
    }

    public void setKoubeiOrderId(String koubeiOrderId) {
        this.koubeiOrderId = koubeiOrderId;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getOrderPrintTime() {
        return orderPrintTime;
    }

    public void setOrderPrintTime(String orderPrintTime) {
        this.orderPrintTime = orderPrintTime;
    }

    public String getTakeOrderTime() {
        return takeOrderTime;
    }

    public void setTakeOrderTime(String takeOrderTime) {
        this.takeOrderTime = takeOrderTime;
    }

    public Integer getIsReserve() {
        return isReserve;
    }

    public void setIsReserve(Integer isReserve) {
        this.isReserve = isReserve;
    }

    public Integer getLastStatus() {
        return lastStatus;
    }

    public void setLastStatus(Integer lastStatus) {
        this.lastStatus = lastStatus;
    }

    public Integer getIsVerify() {
        return isVerify;
    }

    public void setIsVerify(Integer isVerify) {
        this.isVerify = isVerify;
    }

    public Integer getIsToGo() {
        return isToGo;
    }

    public void setIsToGo(Integer isToGo) {
        this.isToGo = isToGo;
    }

    public Integer getIsDinner() {
        return isDinner;
    }

    public void setIsDinner(Integer isDinner) {
        this.isDinner = isDinner;
    }

    public Integer getIsSend() {
        return isSend;
    }

    public void setIsSend(Integer isSend) {
        this.isSend = isSend;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
